/* ArrayBuilder.h  */

void Free2DFloat(float **Array);
float ** Build2DFloat(int NRows, int NColumns);
float * Build1DFloat(int NRows);
unsigned char ** Build2DUChar(int NRows, int NColumns);
void Free2DUChar(char **Array);
short int ** Build2DShortInt(int NRows, int NColumns);
void Free1DFloat(float *Array);
unsigned char * Build1DUChar(int NRows);
void Free1DUChar(char *Array);
int * Build1DInt(int NRows);
void Free1DInt(int *Array);
short int * Build1DShortInt(int NRows);
void Free1DShortInt(short int *Array);


